summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doins
diff options
context:
space:
mode:
authorDror Levin <spatz@gentoo.org>2010-05-26 23:23:38 +0300
committerZac Medico <zmedico@gentoo.org>2010-08-12 01:39:43 -0700
commit65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c (patch)
treef7f1bd8c5215758ec7e21c8ec8eb0ba725688c63 /bin/ebuild-helpers/doins
parentef30f84cc7e91bf777f505384dd9869606d4dc5f (diff)
downloadportage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.gz
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.tar.bz2
portage-65c1a6e0dddf0d99af7adbd41484150d5fc6ef9c.zip
Make utilities die on failure in EAPI 4, bug 273651
Diffstat (limited to 'bin/ebuild-helpers/doins')
-rwxr-xr-xbin/ebuild-helpers/doins5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index 64d2af23c..c59b9bcfd 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -5,7 +5,7 @@
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
if [ $# -lt 1 ] ; then
- echo "${0##*/}: at least one argument needed" 1>&2
+ helpers_die "${0##*/}: at least one argument needed"
exit 1
fi
@@ -21,6 +21,7 @@ if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
vecho "You should not use \${D} with helpers." 1>&2
vecho " --> ${INSDESTTREE}" 1>&2
vecho "-------------------------------------------------------" 1>&2
+ helpers_die "$0 used with \${D}"
exit 1
fi
@@ -126,4 +127,4 @@ for x in "$@" ; do
fi
done
rm -rf "$TMP"
-[[ $failed -ne 0 || $success -eq 0 ]] && exit 1 || exit 0
+[[ $failed -ne 0 || $success -eq 0 ]] && { helpers_die "$0 failed"; exit 1; } || exit 0